LP(1)

NAME
lp, cancel - send/cancel requests to a printer

SYNOPSIS
lp [ -cmsw ] [ -ddest ] [ -nnumber ] [ -ooption ] [ -ttitle ] filename...

cancel [ ids ] [ printers ]

DESCRIPTION

lp arranges for the named files and associated information (collectively called a request) to be printed by a line printer. If no file names are mentioned, the standard input is assumed. The file name `-' stands for the standard input and may be supplied on the command line in conjunction with named filenames. The order in which filenames appear is the same order in which they will be printed.

lp associates a unique id with each request and prints it on the standard output. This id can be used later to cancel (see cancel) or find the status (see lpstat(1)) of the request.

cancel cancels line printer requests. The command line arguments may be either request ids (as returned by lp(1)) or printer names. When ids are specified, cancel removes the jobs corresponding to the ids on the destination printer. See the -d option for details on how the default destination printer is obtained. For a complete list of printers, use lpstat(1). Specifying a request id cancels the associated request even if it is currently printing. Specifying a printer cancels the request which is currently printing on that printer. In either case, the cancellation of a request that is currently printing frees the printer to print its next available request.

OPTIONS

The following options to lp may appear in any order and may be intermixed with file names:

-c  Make copies of the filenames to be printed immediately when lp is invoked. Otherwise, filenames will not be copied, but will be linked whenever possible. If the -c option is not given, then the user should be careful not to remove any of the filenames before the request has been printed in its entirety. It should also be noted that in the absence of the -c option, any changes made to the named filenames after the request is made but before it is printed will be reflected in the printed output.

-m  Send mail (see mail(1)) after the files have been printed. By default, no mail is sent upon normal completion of the print request.

-s  Suppress messages from lp(1) such as `request id is ...'.

-w  Write a message on the user's terminal after the filenames have been printed. If the user is not logged in locally, then mail will be sent instead.

-ddest
    Choose dest as the printer that is to do the printing. By default, dest is taken from the environment variable LPDEST (if it is set). Otherwise, dest will be taken from the environment variable PRINTER. If PRINTER is not defined either, then the default destination for the computer system is used. Destination names vary between systems (see lpstat(1)).

-nnumber
    Print number copies (default of 1) of the output.

-ooption
    Specify printer-dependent options. Several such options may be collected by specifying the -o option more than once.

-ttitle
    Print title on the banner page of the output.

FILES
/etc/termcap

SEE ALSO
lpstat(1), lpr(1), lprm(1), mail(1), lpc(8), lpd(8)